package net.javainthebox.javafx.presentator;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;

import java.awt.Dimension;
import java.lang.System;

import net.javainthebox.javafx.presentator.contents.*;

var frame = Frame {
    var: frame

    centerOnScreen: true
    onClose: operation() {
        System.exit(0);
    }
    title: "JavaWorld Day: Java SE 7"

//    undecorated: true
    visible: true 

    var contentPane = ContentPane {}

    content: Canvas {
       preferredSize: Dimension {
            width: 1024
            height: 768
       }

        onMouseClicked: operation(event) {
            (contentPane.action)();
        }

        content: Group {
            content: [
                Background {},
                contentPane
            ]
        }
    }
};

frame.pack();