package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene13_SuperPack2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
    attribute opacity7: Number;
    attribute opacity8: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene13_SuperPack2.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene13_SuperPack2.opacity0 = 0;
attribute Scene13_SuperPack2.opacity1 = 0;
attribute Scene13_SuperPack2.opacity2 = 0;
attribute Scene13_SuperPack2.opacity3 = 0;
attribute Scene13_SuperPack2.opacity4 = 0;
attribute Scene13_SuperPack2.opacity5 = 0;
attribute Scene13_SuperPack2.opacity6 = 0;
attribute Scene13_SuperPack2.opacity7 = 0;
attribute Scene13_SuperPack2.opacity8 = 0;

attribute Scene13_SuperPack2.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "public is TOO public"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(140.0, 150)
	             opacity: bind opacity1
                    image: {url: "{__DIR__}/resources/images/facade.png"}
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(120.0, 150)
	             opacity: bind opacity2
                    image: {url: "{__DIR__}/resources/images/ideal.png"}
                },
                Text {
                    x: 100
                    y: 180
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "z"
                },

            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(120.0, 150)
	             opacity: bind opacity3
                    image: {url: "{__DIR__}/resources/images/real.png"}
                },
                Text {
                    x: 100
                    y: 180
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: ""
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 3000) {
	         opacity2 = if unit < 0.5 then 1 - unit * 2 else 0;
                opacity3 = if unit > 0.5 then (unit - 0.5) * 2 else 0;
            }
        }
    },
    Leaf {
        node: Group {
            opacity: bind opacity4

            content: [
                Rect {
                   filter: [ShadowFilter { x: 10, y: -10}]
                   x: 150
                   y: 250
                   height: 300
                   width: 750
                   arcHeight: 20
                   arcWidth: 20
                   fill: Color {red: 0x66, green: 0x99, blue: 0xcc }
                },
                Text {
                    filter: [ShadowFilter { x: 10, y: -10}]
                    x: 250
                    y: 320
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 80}
                    content: "     Solution
Super Package"
                },
            ]
        }

        action: operation() {
	     opacity1 = 0.2;
	     opacity3 = 0.2;

	     for (unitinterval unit in dur 1000) {
	         opacity4 = unit;
            }
        }
    },
];