package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene36_JFX3 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene36_JFX3.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene36_JFX3.opacity0 = 0;
attribute Scene36_JFX3.opacity1 = 0;
attribute Scene36_JFX3.opacity2 = 0;
attribute Scene36_JFX3.opacity3 = 0;
attribute Scene36_JFX3.opacity4 = 0;
attribute Scene36_JFX3.opacity5 = 0;
attribute Scene36_JFX3.opacity6 = 0;

attribute Scene36_JFX3.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "JavaFX"
                },
                ImageView {
                    transform: translate(175.0, 250.0)
	             opacity: bind opacity0
                    image: {url: "{__DIR__}/resources/images/ig_javafx_architecture.jpg"}
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
];