package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene0_Title extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
    attribute opacity7: Number;
    attribute opacity8: Number;
    attribute opacity9: Number;
    attribute opacity10: Number;
    attribute opacity11: Number;
    attribute opacity12: Number;

    operation fadeinout(unit: Number,
                        init: Number, start: Number, end: Number, term: Number): Number;
}

operation Scene0_Title.fadeinout(unit: Number,
                                 init: Number, start: Number, end: Number, term: Number): Number {
    var opacity: Number;

    if (unit < init) {
        opacity = 0.0;
    } else if (unit > init and unit < start) {
        opacity = (unit - init) / (start - init);
    } else if (unit > start and unit < end) {
	 opacity = 1.0;
    } else if (unit > end and unit < term) {
        opacity = (unit - term) / (end - term);
    } else if (unit > term) {
	 opacity = 0.0;
    }

    return opacity;
}


attribute Scene0_Title.opacity0 = 0;
attribute Scene0_Title.opacity1 = 0;
attribute Scene0_Title.opacity2 = 0;
attribute Scene0_Title.opacity3 = 0;
attribute Scene0_Title.opacity4 = 0;
attribute Scene0_Title.opacity5 = 0;
attribute Scene0_Title.opacity6 = 0;
attribute Scene0_Title.opacity7 = 0;
attribute Scene0_Title.opacity8 = 0;
attribute Scene0_Title.opacity9 = 0;
attribute Scene0_Title.opacity10 = 0;
attribute Scene0_Title.opacity11 = 0;
attribute Scene0_Title.opacity12 = 0;



attribute Scene0_Title.leafs =  [
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(12.0, 51.5)
	             opacity: bind opacity0
                    image: {url: "{__DIR__}/resources/images/_DSC6730.JPG"}
                },
                ImageView {
                    transform: translate(0.0, 0.0)
	             opacity: bind opacity1
                    image: {url: "{__DIR__}/resources/images/_DSC6740.JPG"}
                },
                ImageView {
                    transform: translate(0.0, 317.0)
	             opacity: bind opacity2
                    image: {url: "{__DIR__}/resources/images/_DSC6949.JPG"}
                },
                ImageView {
                    transform: translate(300.0, 159.0)
	             opacity: bind opacity3
                    image: {url: "{__DIR__}/resources/images/_DSC7183.JPG"}
                },
                ImageView {
                    transform: translate(613.0, 0.0)
	             opacity: bind opacity4
                    image: {url: "{__DIR__}/resources/images/_DSC7115.JPG"}
                },
                ImageView {
                    transform: translate(573.0, 468.0)
	             opacity: bind opacity5
                    image: {url: "{__DIR__}/resources/images/_DSC7472.JPG"}
                },

                ImageView {
                    transform: translate(0.0, 0.0)
	             opacity: bind opacity6
                    image: {url: "{__DIR__}/resources/images/_DSC7804.JPG"}
                },
                ImageView {
                    transform: translate(624.0, 502.0)
	             opacity: bind opacity7
                    image: {url: "{__DIR__}/resources/images/_DSC8169.JPG"}
                },
                ImageView {
                    transform: translate(624.0, 0.0)
	             opacity: bind opacity8
                    image: {url: "{__DIR__}/resources/images/_DSC8881.JPG"}
                },
                ImageView {
                    transform: translate(50.0, 166.0)
	             opacity: bind opacity9
                    image: {url: "{__DIR__}/resources/images/_DSC8788.JPG"}
                },
                ImageView {
                    transform: translate(136.0, 134.0)
	             opacity: bind opacity10
                    image: {url: "{__DIR__}/resources/images/_DSC8152.JPG"}
                },
	         View {
                    filter: [ShadowFilter { x: 10, y: -10, shadowColor: black, opacity: 0.8}]
                    opacity: bind opacity11
                    transform: translate(60.0, 250.0)
                    content: Label {
                        text: "<html><div style='font-face:\"San-Serif\";font-weight: bold;font-size:90pt;color:black;'>Java SE 7<br />Javadl͂ǂς?</div></html>"
                    }
                },
	         View {
                    filter: [ShadowFilter { x: 10, y: -10, shadowColor: black, opacity: 0.8}]
                    opacity: bind opacity11
                    transform: translate(684.0, 540.0)
                    content: Label {
                        text: "<html><div style='font-face:\"San-Serif\";font-weight: bold;font-size:60pt;color:black;'>͓d@<br />N S</div></html>"
                    }
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 45000) {
                opacity0 = fadeinout(unit, 0.0, 0.1, 0.2, 0.8);
                opacity1 = fadeinout(unit, 0.05, 0.15, 0.25, 0.35);
                opacity2 = fadeinout(unit, 0.1, 0.2, 0.3, 0.4);
                opacity3 = fadeinout(unit, 0.15, 0.25, 0.35, 0.45);
                opacity4 = fadeinout(unit, 0.2, 0.3, 0.4, 0.5);
                opacity5 = fadeinout(unit, 0.25, 0.35, 0.45, 0.55);
                opacity6 = fadeinout(unit, 0.3, 0.4, 0.5, 0.6);
                opacity7 = fadeinout(unit, 0.35, 0.45, 0.55, 0.65);
                opacity8 = fadeinout(unit, 0.4, 0.5, 0.6, 0.7);
                opacity9 = fadeinout(unit, 0.45, 0.55, 0.65, 0.75);
                opacity10 = fadeinout(unit, 0.6, 0.7, 0.8, 0.9);
                opacity11 = fadeinout(unit, 0.8, 0.95, 1.1, 1.1);
                opacity12 = fadeinout(unit, 0.85, 0.99, 1.1, 1.1);
            }
        }
    }
];