package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene11_TwoMod extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene11_TwoMod.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene11_TwoMod.opacity0 = 0;
attribute Scene11_TwoMod.opacity1 = 0;
attribute Scene11_TwoMod.opacity2 = 0;
attribute Scene11_TwoMod.opacity3 = 0;
attribute Scene11_TwoMod.opacity4 = 0;
attribute Scene11_TwoMod.opacity5 = 0;
attribute Scene11_TwoMod.opacity6 = 0;

attribute Scene11_TwoMod.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "Two Modularity"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 180
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Development Time"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 400
	             opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Deployment Time"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 260
	             opacity: bind opacity3
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "Super Package"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity3 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 480
	             opacity: bind opacity4
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "Super JARs"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity4 = unit;
            }
        }
    },
];