package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene17_SuperJARs2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene17_SuperJARs2.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene17_SuperJARs2.opacity0 = 0;
attribute Scene17_SuperJARs2.opacity1 = 0;
attribute Scene17_SuperJARs2.opacity2 = 0;
attribute Scene17_SuperJARs2.opacity3 = 0;
attribute Scene17_SuperJARs2.opacity4 = 0;
attribute Scene17_SuperJARs2.opacity5 = 0;
attribute Scene17_SuperJARs2.opacity6 = 0;

attribute Scene17_SuperJARs2.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 80}
                    content: "Three Hells"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 250
                    y: 280
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 80}
                    content: "Classpath Hell"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 250
                    y: 380
	             opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 80}
                    content: "JAR Hell"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 250
                    y: 480
	             opacity: bind opacity3
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 80}
                    content: "Extension Hell"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity3 = unit;
            }
        }
    },
];