package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene21_FourM3 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene21_FourM3.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene21_FourM3.opacity0 = 0;
attribute Scene21_FourM3.opacity1 = 0;
attribute Scene21_FourM3.opacity2 = 0;
attribute Scene21_FourM3.opacity3 = 0;
attribute Scene21_FourM3.opacity4 = 0;

attribute Scene21_FourM3.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 135
                    y: 280
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    fill: Color { red: 83, green: 130, blue: 161 } 
                    content: "Java SE 7"
                },
                Text {
                    x: 103
                    y: 144
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 183
                    y: 157
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 60}
                    content: "ultilingual"
                },
                Text {
                    x: 218
                    y: 285
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 300
                    y: 300
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 60}
                    content: "odularity"
                },
                Text {
                    x: 334
                    y: 426
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 449
                    y: 567
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = unit;
                opacity2 = unit * 0.2;  
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 410
                    y: 440
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity1
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 60}
                    content: "anagement"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    }
];