package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene6_FourM extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene6_FourM.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene6_FourM.opacity0 = 0;
attribute Scene6_FourM.opacity1 = 0;
attribute Scene6_FourM.opacity2 = 0;
attribute Scene6_FourM.opacity3 = 0;
attribute Scene6_FourM.opacity4 = 0;
attribute Scene6_FourM.opacity5 = 0;

attribute Scene6_FourM.leafs =  [
    Leaf {
        node: Group {
            opacity: bind opacity5
            content: [
                Text {
                    x: 135
                    y: 280
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 120}
                    fill: Color { red: 83, green: 130, blue: 161 } 
                    content: "Java SE 7"
                },
            ]
        }
        action: operation() {
	     for (unitinterval unit in dur 2000) {
                opacity5 = unit;
            }
        }
    },

    Leaf {
        node: Group {
            content: [
                Text {
                    x: 103
                    y: 144
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 218
                    y: 285
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity1
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 334
                    y: 426
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
                Text {
                    x: 449
                    y: 567
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "M"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 5000) {
                opacity5 = if unit < 0.2 then 1.0 - unit * 4 else 0.2;
                opacity0 = fadein(unit, 0.1, 0.6);
                opacity1 = fadein(unit, 0.2, 0.7);
                opacity2 = fadein(unit, 0.3, 0.8);
                opacity3 = fadein(unit, 0.4, 0.9);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 183
                    y: 157
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity4
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 60}
                    content: "ultilingual"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 500) {
                opacity4 = unit;
            }
        }
    }
];